Bug 1005268 - Glance RFE: allow to accept more than one tenant/image parameter for image members
Glance RFE: allow to accept more than one tenant/image parameter for image me...
Status: CLOSED UPSTREAM
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-glance (Show other bugs)
unspecified
x86_64 Linux
low Severity low
: beta
: 5.0 (RHEL 7)
Assigned To: Flavio Percoco
Haim
storage
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-06 10:35 EDT by Dafna Ron
Modified: 2016-04-26 10:25 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-18 03:25:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1221757 None None None Never

  None (edit)
Description Dafna Ron 2013-09-06 10:35:45 EDT
Description of problem:

currently we are only able to add a single tenant to a single image at a time

command structure is: glance member-create <image id> <tenant id> 

if we could add --multiple-tenants --multiple-images to the command or change the current structure to glance member-create --images-id <image> <image> --tenants-id <tenant> <tenant> it would be very helpful to users. 

Version-Release number of selected component (if applicable):

openstack-glance-2013.1.3-1.el6ost.noarch

How reproducible:

100%

Steps to Reproduce:
1. create more than one tenant 
2. create more than one image 
3. add multiple images to the same tenant 
4. add multiple tenants to the same image 

Actual results:

currently we need to add tenants to an image or an image to a tenant one at a time 

Expected results:

I think we should be able to add multiple images to a tenant in one command 
and to add multiple tenants to one image 

Additional info:
Comment 1 Dafna Ron 2013-09-06 10:36:11 EDT
https://bugs.launchpad.net/glance/+bug/1221757

Note You need to log in before you can comment on or make changes to this bug.